Link entities

Base URL
https://{kibana_url}
  • POST /api/security/entity_store/resolution/link
Auth

Link one or more entities to a target entity, creating a resolution group. Changes become visible on subsequent reads after the next index refresh (typically <1s).

Required authorization

Privileges securitySolution and securitySolution-entity-analytics

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Request body

entity_ids string[] · min items: 1 · max items: 1000 required

Entity identifiers to link to the target entity. Minimum 1, maximum 1000.

target_id string required

The entity identifier to resolve the linked entities to.

Responses

200

Indicates a successful response.

application/json
400

Bad request.

application/json
Base URL
https://{kibana_url}